/******************************************************************************
 JXStyleTableThunksTask.h

	Copyright © 1999 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_JXStyleTableThunksTask
#define _H_JXStyleTableThunksTask

#include <JXUrgentTask.h>

class JXStyleTable;

class JXStyleTableThunksTask : public JXUrgentTask
{
public:

	JXStyleTableThunksTask(JXStyleTable* table);

	virtual ~JXStyleTableThunksTask();

	virtual void	Perform();

private:

	JXStyleTable*	itsTable;		// not owned

private:

	// not allowed

	JXStyleTableThunksTask(const JXStyleTableThunksTask& source);
	const JXStyleTableThunksTask& operator=(const JXStyleTableThunksTask& source);
};

#endif
